# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class CalibrationResult(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, venturi_system_const: int=None, compressor_mbar_max: int=None, flow_ml_sec_max: int=None):  # noqa: E501
        """CalibrationResult - a model defined in Swagger

        :param venturi_system_const: The venturi_system_const of this CalibrationResult.  # noqa: E501
        :type venturi_system_const: int
        :param compressor_mbar_max: The compressor_mbar_max of this CalibrationResult.  # noqa: E501
        :type compressor_mbar_max: int
        :param flow_ml_sec_max: The flow_ml_sec_max of this CalibrationResult.  # noqa: E501
        :type flow_ml_sec_max: int
        """
        self.swagger_types = {
            'venturi_system_const': int,
            'compressor_mbar_max': int,
            'flow_ml_sec_max': int
        }

        self.attribute_map = {
            'venturi_system_const': 'venturi-system-const',
            'compressor_mbar_max': 'compressor-mbar-max',
            'flow_ml_sec_max': 'flow-ml-sec-max'
        }
        self._venturi_system_const = venturi_system_const
        self._compressor_mbar_max = compressor_mbar_max
        self._flow_ml_sec_max = flow_ml_sec_max

    @classmethod
    def from_dict(cls, dikt) -> 'CalibrationResult':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The calibrationResult of this CalibrationResult.  # noqa: E501
        :rtype: CalibrationResult
        """
        return util.deserialize_model(dikt, cls)

    @property
    def venturi_system_const(self) -> int:
        """Gets the venturi_system_const of this CalibrationResult.


        :return: The venturi_system_const of this CalibrationResult.
        :rtype: int
        """
        return self._venturi_system_const

    @venturi_system_const.setter
    def venturi_system_const(self, venturi_system_const: int):
        """Sets the venturi_system_const of this CalibrationResult.


        :param venturi_system_const: The venturi_system_const of this CalibrationResult.
        :type venturi_system_const: int
        """

        self._venturi_system_const = venturi_system_const

    @property
    def compressor_mbar_max(self) -> int:
        """Gets the compressor_mbar_max of this CalibrationResult.


        :return: The compressor_mbar_max of this CalibrationResult.
        :rtype: int
        """
        return self._compressor_mbar_max

    @compressor_mbar_max.setter
    def compressor_mbar_max(self, compressor_mbar_max: int):
        """Sets the compressor_mbar_max of this CalibrationResult.


        :param compressor_mbar_max: The compressor_mbar_max of this CalibrationResult.
        :type compressor_mbar_max: int
        """

        self._compressor_mbar_max = compressor_mbar_max

    @property
    def flow_ml_sec_max(self) -> int:
        """Gets the flow_ml_sec_max of this CalibrationResult.


        :return: The flow_ml_sec_max of this CalibrationResult.
        :rtype: int
        """
        return self._flow_ml_sec_max

    @flow_ml_sec_max.setter
    def flow_ml_sec_max(self, flow_ml_sec_max: int):
        """Sets the flow_ml_sec_max of this CalibrationResult.


        :param flow_ml_sec_max: The flow_ml_sec_max of this CalibrationResult.
        :type flow_ml_sec_max: int
        """

        self._flow_ml_sec_max = flow_ml_sec_max
